Bug 1330185 - SNI lookup failure should use default virtual host
Summary: SNI lookup failure should use default virtual host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_nss
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 14:47 UTC by Rob Crittenden
Modified: 2016-05-04 18:53 UTC (History)
2 users (show)

Fixed In Version: mod_nss-1.0.12-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-04 18:53:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Rob Crittenden 2016-04-25 14:47:12 UTC
Description of problem:

If no nickname / VH match is found a TLS alert is thrown. According to RFC 6066 section 3 this is not recommended (mod_ssl doesn't do this). This was fixed upstream in a8711ee2d0d00d42b748f689c7595d1e519e3d2f

Version-Release number of selected component (if applicable):

mod_nss-1.0.12-3

Comment 1 Fedora Update System 2016-04-25 19:35:38 UTC
mod_nss-1.0.12-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c57b73be74

Comment 2 Fedora Update System 2016-04-27 01:21:21 UTC
mod_nss-1.0.12-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c57b73be74

Comment 3 Fedora Update System 2016-05-04 18:53:56 UTC
mod_nss-1.0.12-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.